Public Member Functions | Public Attributes | List of all members
LotusSpreadsheetInternal::ExtraRowStyles Struct Reference

a class used to store the extra style of a row in LotusSpreadsheet More...

## Public Member Functions
| ExtraRowStyles ()
| constructor More...
bool | empty () const
| returns true if all style are empty More...

## Public Attributes
std::map< Vec2i, ExtraStyle > | m_colsToStyleMap
| a map Vec2i(minCol,maxCol) to style More...

## Detailed Description

a class used to store the extra style of a row in LotusSpreadsheet

## Constructor & Destructor Documentation

## ◆ ExtraRowStyles()

LotusSpreadsheetInternal::ExtraRowStyles::ExtraRowStyles | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ empty()

bool LotusSpreadsheetInternal::ExtraRowStyles::empty | ( |  | ) | const
| inline

returns true if all style are empty

Referenced by LotusSpreadsheet::sendRowContent().

## Member Data Documentation

## ◆ m_colsToStyleMap

std::map<Vec2i, ExtraStyle> LotusSpreadsheetInternal::ExtraRowStyles::m_colsToStyleMap

a map Vec2i(minCol,maxCol) to style

Referenced by empty(), and LotusSpreadsheet::sendRowContent().

The documentation for this struct was generated from the following file:

- LotusSpreadsheet.cpp